SDL Library Documentation
Prev |  | Next

# SDL_VideoDriverName

## Name

SDL_VideoDriverName -- Obtain the name of the video driver

## Synopsis

    #include "SDL.h"

``char *SDL_VideoDriverName`(char *namebuf, int maxlen);`

## Description

The buffer pointed to by `namebuf` is filled up to a maximum of `maxlen` characters (include the NULL terminator) with the name of the initialised video driver. The driver name is a simple one word identifier like "x11" or "windib".

## Return Value

Returns `NULL` if video has not been initialised with `SDL_Init` or a pointer to `namebuf` otherwise.

## See Also

`SDL_Init` `SDL_InitSubSystem`

Prev | Home | Next
SDL_GetVideoInfo | Up | SDL_ListModes